# vim: set ts=2 sw=2 sts=2 et:
#
# Data dump
#
# @author    Qualiteam software Ltd <info@x-cart.com>
# @copyright Copyright (c) 2011-2016 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
# @license   http://www.x-cart.com/license-agreement.html X-Cart 5 License Agreement
# @link      http://www.x-cart.com/

XLite\Model\Config:
  - name: key 
    category: QSL\AntiFraud
    type: XLite\Module\QSL\AntiFraud\View\FormField\Input\Text\AntiFraudKey 
    orderby: 100
    value: ''
    translations:
      - code: en
        option_name: 'AntiFraud module service key'
  - name: last_order_key_failed
    category: QSL\AntiFraud
    type: hidden 
    orderby: 150
    value: 0 
    translations:
      - code: en
        option_name: 'Key failed during last check'
  - name: risk_threshold
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 200
    value: 5
    widgetParameters: { min: 0 }
    translations:
      - code: en
        option_name: 'Fraud risk factor threshold value'
        option_comment: 'If fraud risk factor is greater than this limit, order status will be "Awaiting payment"'
  - name: block_order_after_threshold
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Checkbox\OnOff
    value: false
    orderby: 250
    translations:
      - code: en
        option_name: 'Block order processing if risk score execeeds threshold'
        option_comment: "If you enable this X-Cart won't even send an order to a payment gateway for processing if fraud score is bad. In this case the special \"AF Error #1: Cannot process this order. Contact administrator\" message is displayed for the customers at checkout."
  - name: block_by_avs
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Checkbox\OnOff
    value: true
    orderby: 270
    translations:
      - code: en
        option_name: 'Use AVS check result returned from the gateway'
        option_comment: "Works only for X-Payments payment methods"
  - name: distance 
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 300
    value: 350
    widgetParameters: { min: 0 }
    translations:
      - code: en
        option_name: 'AntiFraud safe distance (km)'
  - name: total_threshold
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 400
    value: 350
    widgetParameters: { min: 0 }
    translations:
      - code: en
        option_name: 'Order total threshold'
        option_comment: 'An order is considered large if the order total exceeds this amount'
  - name: apply_to_zero_orders
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 500
    value: Y
    translations:
      - code: en
        option_name: 'Run AntiFraud check on orders with zero order total'
  - name: force_auth_threshold
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 600
    value: 0 
    widgetParameters: { min: 0 }
    translations:
      - code: en
        option_name: 'Force to use the "Auth only" mode if the fraud risk factor exceeds'
        option_comment: 'Define maximum allowed value of the fraud risk factor. When exceeded, X-Cart will force to perform the transaction in the "Auth only" mode even if the payment module is setup to use a different mode. The "Auth only" mode means that the system will only freeze the order total but not withdraw it until the store administrator decides to capture the money manually. If the payment method you use does not support "Auth only" transactions, the transaction will not perform and the order will be placed with the Queued status.'
  - name: external_error_score 
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Text\Integer
    orderby: 650
    value: 0
    widgetParameters: { min: 0 }
    translations:
      - code: en
        option_name: 'Address error score'
        option_comment: 'This score is assigned to the order in case AntiFraud service is not able to process customer`s address.'
  - name: notify_key_invalid
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 700
    value: Y
    translations:
      - code: en
        option_name: '"AntiFraud service key is invalid" notification to orders department'
  - name: notify_key_expired
    category: QSL\AntiFraud
    type: XLite\View\FormField\Input\Checkbox\OnOff 
    orderby: 800
    value: Y
    translations:
      - code: en
        option_name: '"AntiFraud service key is expired" notification to orders department'

